<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("user_" . "id" => base64_decode("dXNlcl9" . "pZA=="), "_8cca4dd34e20c5344bb2a30f2533c" . "4e5" => base64_decode("ZnVsb" . "F9uYW" . "1l"), "_28c85ce81fee6532980262893b6f2" . "425" => base64_decode("dXNl" . "cm5h" . "bWU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8cca4dd34e20c5344bb2a" . "30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_28c85ce81fee6532980262893b6f" . "2425"]);
    }
}